MythWeb: !!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

Have a MythTV related problem? Ask for help from other MythTV users here.

Moderator: Forum Moderators

Post Reply
teeedubb
Newcomer
Posts: 4
Joined: Fri Sep 12, 2014 8:30 am
Australia

MythWeb: !!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

Post by teeedubb » Mon Feb 11, 2019 9:12 am

Hi,

I am seeing the following errors in MythWeb when viewing a recordings info. The error seems to appear when there is no information to display. If I run commflag or queue a job then it displays the correct info. See attached screenshot

With no user jobs:
Annotation 2019-02-11 193921.jpg
Annotation 2019-02-11 193921.jpg (56.22 KiB) Viewed 121 times
After a commflag is started:
Annotation 2019-02-11 194006.jpg
Annotation 2019-02-11 194006.jpg (50.83 KiB) Viewed 121 times
I have googled this somewhat and while I do find references to similar errors, I can not find anything regarding this exact error message. I have read that certain text needs to be contained within quotes, but Im not familiar enough with PHP to tell what needs to be done within the code. I have reinstalled mythweb to no avail. I have made sure that php7.2 is enabled and 7.0 disabled in apache2. I have been chipping away at this for several days so I have probably tried other things too.

I'm running MythTV 0.29.1 from the Mythbuntu PPA on Ubuntu 18.04:

Code: Select all

Please attach all output as a file in bug reports.
MythTV Version : v29.1
MythTV Branch :
Network Protocol : 91
Library API : 29.20180316-1
QT Version : 5.9.5
Options compiled in:
 linux profile use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_crystalhd using_dvb using_firewire using_frontend using_hdhomerun using_vbox using_ceton using_hdpvr using_ivtv using_joystick_menu using_libcec using_libcrypto using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_opengl_themepainter using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xrandr using_xv using_profiletype using_systemd_notify using_systemd_journal using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_vaapi using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2 using_libmp3lame

Code: Select all

 apt-cache policy mythweb
mythweb:
  Installed: 2:29.1+fixes.201812281328.af5d819~ubuntu18.04.1
  Candidate: 2:29.1+fixes.201812281328.af5d819~ubuntu18.04.1
  Version table:
 *** 2:29.1+fixes.201812281328.af5d819~ubuntu18.04.1 500
        500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main amd64 Packages
        500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main i386 Packages
        100 /var/lib/dpkg/status
     2:29.1+fixes.20181117.696a81c-0ubuntu0mythbuntu3 500
        500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main amd64 Packages
        500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main i386 Packages
     2:29.1+fixes.20180414.329c235-0ubuntu3 500
        500 mirror://mirrors.ubuntu.com/mirrors.txt bionic/multiverse amd64 Packages
        500 mirror://mirrors.ubuntu.com/mirrors.txt bionic/multiverse i386 Packages
        500 http://au.archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
        500 http://au.archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages

Code: Select all

uname -a
Linux prime 4.15.0-43-generic #46-Ubuntu SMP Thu Dec 6 14:45:28 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Code: Select all

a2enmod enable php7.2
ERROR: Module enable does not exist!
Considering dependency mpm_prefork for php7.2:
Considering conflict mpm_event for mpm_prefork:
Considering conflict mpm_worker for mpm_prefork:
Module mpm_prefork already enabled
Considering conflict php5 for php7.2:
Module php7.2 already enabled

Code: Select all

a2dismod php7.0
Module php7.0 already disabled
Not sure what else to try or where else to look. I can provide more logs if required.

Anyone have any suggestions?

Thanks in advance.

User avatar
bill6502
Developer
Posts: 1151
Joined: Fri Feb 07, 2014 5:28 pm
United States of America

Re: MythWeb: !!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

Post by bill6502 » Mon Feb 11, 2019 4:30 pm

Hi,

This works for me: dpkg -l libapache2-mod-php7.2 (on Ubuntu 18.04.)
And apt install if it's missing.

daraden
Senior
Posts: 162
Joined: Tue Feb 23, 2016 7:33 am
United States of America

Re: MythWeb: !!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

Post by daraden » Mon Feb 11, 2019 9:23 pm

just submitted patches that should resolve this and a few similar errors.
https://code.mythtv.org/trac/ticket/13406

teeedubb
Newcomer
Posts: 4
Joined: Fri Sep 12, 2014 8:30 am
Australia

Re: MythWeb: !!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

Post by teeedubb » Tue Feb 12, 2019 11:36 am

Thanks for the replies guys

@bill6502 libapache2-mod-php7.2 is installed

@daraden Thanks! looking forward to seeing those patches merged. :D

Post Reply